Debian Bug report logs - #362016
RM: libnet-dict-leo-perl -- RoM; licensing issues

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: debian@helgefjell.de

Date: Tue, 11 Apr 2006 20:03:10 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Carsten Luckmann <carsten@luckmann.name>, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#362016; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <helge@helgefjell.de>:
New Bug report received and forwarded. Copy sent to Carsten Luckmann <carsten@luckmann.name>, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <helge@helgefjell.de>
To: submit@bugs.debian.org
Subject: RM: leo, libnet-dict-leo-perl -- infringes web site license
Date: Tue, 11 Apr 2006 21:53:32 +0200
[Message part 1 (text/plain, inline)]
Package: ftp.debian.org
Severity: normal

dict.leo.org was transferred to a new company, called "Online Service
by LEO GmbH".  This new company has set our a new copyright statement:

http://dict.leo.org/pages.ende/copyright_en.html?lp=ende&lang=en

This statement clearly prohibits the *distribution* of tools which do
not return the advertising banners upon submittal. (The german version
explicitly talks about not allowing skripts, but I don't know which
version is authorative). The clause in question reads:

                          All publicly available solutions need to treat
   queries as if they were submitted on our own site dict.leo.org. As our
   free service is largely funded by advertising we do not allow
   "optimised" solutions that do not display our advertising banners and
   logos, etc.

Since leo is "optimized", i.e. returns only the translated words,
it unfortunately now violates the copyright license of dict.leo.org
and hence has to be removed from Debian.

-- System Information:
Debian Release: 3.1
Architecture: amd64 (x86_64)
Kernel: Linux 2.6.11.deb-7-grsec
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

-- 
      Dr. Helge Kreutzmann                      helge@helgefjell.de
            Dipl.-Phys.                       http://www.helgefjell.de
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter from Helge Kreutzmann <helge@helgefjell.de> to debian@helgefjell.de. Request was from Helge Kreutzmann <debian@helgefjell.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to debian@helgefjell.de:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 362016-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 362016-close@bugs.debian.org
Cc: leo@packages.debian.org, leo@packages.qa.debian.org, libnet-dict-leo-perl@packages.debian.org, libnet-dict-leo-perl@packages.qa.debian.org
Subject: Bug#362016: fixed
Date: Fri, 07 Jul 2006 01:02:58 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

       leo |    2.0.1-1 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 362016@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug reopened, originator not changed. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to debian@helgefjell.de:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 362016-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 362016-close@bugs.debian.org
Cc: net-dict-leo@packages.debian.org, net-dict-leo@packages.qa.debian.org
Subject: Bug#362016: fixed
Date: Fri, 18 Aug 2006 10:03:34 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libnet-dict-leo-perl |     0.09-1 | all
net-dict-leo |     0.09-1 | source

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 362016@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 16:14:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:58:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.